using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office.Model;

public partial class SyndromeType : IUnionId
{
	public object GetId() => SyndromeTypeId;

    [Display(Name = "hide")]
	public int SyndromeTypeId { get; set; }

	[Display(Name = "Название")]
    public string Name { get; set; } = null!;

    [Browsable(false)]
    public virtual ICollection<DiseaseSyndrome> DiseaseSyndromes { get; set; } = new List<DiseaseSyndrome>();

    [Browsable(false)]
    public virtual SyndromeExaminationType? SyndromeExaminationType { get; set; }
}
